# GstAnalyticsODMtd

This type of metadata holds the position of detected object inside the image, along with the probabily of each detection.

## GstAnalyticsODMtd

Handle containing data required to use gst_analytics_od_mtd APIs. This type is generally expected to be allocated on the stack.

### Members

`id` (guint) –

Instance identifier.

`meta` (GstAnalyticsRelationMeta *) –

Instance of GstAnalyticsRelationMeta where the analysis-metadata identified by id is stored.

Since : 1.24

## GstAnalytics.ODMtd

Handle containing data required to use gst_analytics_od_mtd APIs. This type is generally expected to be allocated on the stack.

### Members

`id` (Number) –

Instance identifier.

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta where the analysis-metadata identified by id is stored.

Since : 1.24

## GstAnalytics.ODMtd

Handle containing data required to use gst_analytics_od_mtd APIs. This type is generally expected to be allocated on the stack.

### Members

`id` (int) –

Instance identifier.

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta where the analysis-metadata identified by id is stored.

Since : 1.24

### Methods

#### gst_analytics_od_mtd_get_confidence_lvl

    gboolean
    gst_analytics_od_mtd_get_confidence_lvl (const GstAnalyticsODMtd * instance,
                                             gfloat * loc_conf_lvl)

Retrieve location confidence level.

Parameters:

`instance` –

instance

`loc_conf_lvl` ( [out]) –

Confidence on object location

Returns –

TRUE on success, otherwise FALSE.

Since : 1.24

#### GstAnalytics.ODMtd.prototype.get_confidence_lvl

    function GstAnalytics.ODMtd.prototype.get_confidence_lvl(): {
        // javascript wrapper for 'gst_analytics_od_mtd_get_confidence_lvl'
    }

Retrieve location confidence level.

Parameters:

`instance` (GstAnalytics.ODMtd) –

instance

Returns a tuple made of:

(Number ) –

TRUE on success, otherwise FALSE.

`loc_conf_lvl` (Number ) –

TRUE on success, otherwise FALSE.

Since : 1.24

#### GstAnalytics.ODMtd.get_confidence_lvl

    def GstAnalytics.ODMtd.get_confidence_lvl (self):
        #python wrapper for 'gst_analytics_od_mtd_get_confidence_lvl'

Retrieve location confidence level.

Parameters:

`instance` (GstAnalytics.ODMtd) –

instance

Returns a tuple made of:

(bool ) –

TRUE on success, otherwise FALSE.

`loc_conf_lvl` (float ) –

TRUE on success, otherwise FALSE.

Since : 1.24

#### gst_analytics_od_mtd_get_location

    gboolean
    gst_analytics_od_mtd_get_location (const GstAnalyticsODMtd * instance,
                                       gint * x,
                                       gint * y,
                                       gint * w,
                                       gint * h,
                                       gfloat * loc_conf_lvl)

Retrieve location and location confidence level.

Parameters:

`instance` –

instance

`x` ( [out]) –

x component of upper-left corner of the object location

`y` ( [out]) –

y component of upper-left corner of the object location

`w` ( [out]) –

bounding box width of the object location

`h` ( [out]) –

bounding box height of the object location

`loc_conf_lvl` ( [out][optional]) –

Confidence on object location

Returns –

TRUE on success, otherwise FALSE.

Since : 1.24

#### GstAnalytics.ODMtd.prototype.get_location

    function GstAnalytics.ODMtd.prototype.get_location(): {
        // javascript wrapper for 'gst_analytics_od_mtd_get_location'
    }

Retrieve location and location confidence level.

Parameters:

`instance` (GstAnalytics.ODMtd) –

instance

Returns a tuple made of:

(Number ) –

TRUE on success, otherwise FALSE.

`x` (Number ) –

TRUE on success, otherwise FALSE.

`y` (Number ) –

TRUE on success, otherwise FALSE.

`w` (Number ) –

TRUE on success, otherwise FALSE.

`h` (Number ) –

TRUE on success, otherwise FALSE.

`loc_conf_lvl` (Number ) –

TRUE on success, otherwise FALSE.

Since : 1.24

#### GstAnalytics.ODMtd.get_location

    def GstAnalytics.ODMtd.get_location (self):
        #python wrapper for 'gst_analytics_od_mtd_get_location'

Retrieve location and location confidence level.

Parameters:

`instance` (GstAnalytics.ODMtd) –

instance

Returns a tuple made of:

(bool ) –

TRUE on success, otherwise FALSE.

`x` (int ) –

TRUE on success, otherwise FALSE.

`y` (int ) –

TRUE on success, otherwise FALSE.

`w` (int ) –

TRUE on success, otherwise FALSE.

`h` (int ) –

TRUE on success, otherwise FALSE.

`loc_conf_lvl` (float ) –

TRUE on success, otherwise FALSE.

Since : 1.24

#### gst_analytics_od_mtd_get_obj_type

    GQuark
    gst_analytics_od_mtd_get_obj_type (const GstAnalyticsODMtd * handle)

Quark of the class of object associated with this location.

Parameters:

`handle` –

Instance handle

Returns –

Quark different from on success and 0 on failure.

Since : 1.24

#### GstAnalytics.ODMtd.prototype.get_obj_type

    function GstAnalytics.ODMtd.prototype.get_obj_type(): {
        // javascript wrapper for 'gst_analytics_od_mtd_get_obj_type'
    }

Quark of the class of object associated with this location.

Parameters:

`handle` (GstAnalytics.ODMtd) –

Instance handle

Returns (GLib.Quark) –

Quark different from on success and 0 on failure.

Since : 1.24

#### GstAnalytics.ODMtd.get_obj_type

    def GstAnalytics.ODMtd.get_obj_type (self):
        #python wrapper for 'gst_analytics_od_mtd_get_obj_type'

Quark of the class of object associated with this location.

Parameters:

`handle` (GstAnalytics.ODMtd) –

Instance handle

Returns (GLib.Quark) –

Quark different from on success and 0 on failure.

Since : 1.24

#### gst_analytics_od_mtd_get_oriented_location

    gboolean
    gst_analytics_od_mtd_get_oriented_location (const GstAnalyticsODMtd * instance,
                                                gint * x,
                                                gint * y,
                                                gint * w,
                                                gint * h,
                                                gfloat * r,
                                                gfloat * loc_conf_lvl)

Retrieve oriented location and location confidence level.

Parameters:

`instance` –

instance

`x` ( [out]) –

x component of upper-left corner of the object location (pre-rotation)

`y` ( [out]) –

y component of upper-left corner of the object location (pre-rotation)

`w` ( [out]) –

bounding box width of the object location

`h` ( [out]) –

bounding box height of the object location

`r` ( [out]) –

Rotation of the bounding box in radians <0, 2xPI> with respect to the bounding box center (the rotation value is a clock-wise angle)

`loc_conf_lvl` ( [out][optional]) –

Confidence on object location

Returns –

TRUE on success, otherwise FALSE.

Since : 1.26

#### GstAnalytics.ODMtd.prototype.get_oriented_location

    function GstAnalytics.ODMtd.prototype.get_oriented_location(): {
        // javascript wrapper for 'gst_analytics_od_mtd_get_oriented_location'
    }

Retrieve oriented location and location confidence level.

Parameters:

`instance` (GstAnalytics.ODMtd) –

instance

Returns a tuple made of:

(Number ) –

TRUE on success, otherwise FALSE.

`x` (Number ) –

TRUE on success, otherwise FALSE.

`y` (Number ) –

TRUE on success, otherwise FALSE.

`w` (Number ) –

TRUE on success, otherwise FALSE.

`h` (Number ) –

TRUE on success, otherwise FALSE.

`r` (Number ) –

TRUE on success, otherwise FALSE.

`loc_conf_lvl` (Number ) –

TRUE on success, otherwise FALSE.

Since : 1.26

#### GstAnalytics.ODMtd.get_oriented_location

    def GstAnalytics.ODMtd.get_oriented_location (self):
        #python wrapper for 'gst_analytics_od_mtd_get_oriented_location'

Retrieve oriented location and location confidence level.

Parameters:

`instance` (GstAnalytics.ODMtd) –

instance

Returns a tuple made of:

(bool ) –

TRUE on success, otherwise FALSE.

`x` (int ) –

TRUE on success, otherwise FALSE.

`y` (int ) –

TRUE on success, otherwise FALSE.

`w` (int ) –

TRUE on success, otherwise FALSE.

`h` (int ) –

TRUE on success, otherwise FALSE.

`r` (float ) –

TRUE on success, otherwise FALSE.

`loc_conf_lvl` (float ) –

TRUE on success, otherwise FALSE.

Since : 1.26

### Functions

#### gst_analytics_od_mtd_get_mtd_type

    GstAnalyticsMtdType
    gst_analytics_od_mtd_get_mtd_type ()

Get an id that represent object-detection metadata type

Returns –

Opaque id of the GstAnalyticsMtd type

Since : 1.24

#### GstAnalytics.ODMtd.prototype.get_mtd_type

    function GstAnalytics.ODMtd.prototype.get_mtd_type(): {
        // javascript wrapper for 'gst_analytics_od_mtd_get_mtd_type'
    }

Get an id that represent object-detection metadata type

Returns (Number) –

Opaque id of the GstAnalytics.Mtd type

Since : 1.24

#### GstAnalytics.ODMtd.get_mtd_type

    def GstAnalytics.ODMtd.get_mtd_type ():
        #python wrapper for 'gst_analytics_od_mtd_get_mtd_type'

Get an id that represent object-detection metadata type

Returns (int) –

Opaque id of the GstAnalytics.Mtd type

Since : 1.24

The results of the search are